﻿using System;

namespace JsonApiServer.Models
{
   /// <summary>
   /// "Share with" policy settings
   /// </summary>
   public class AccessPolicy
   {
      public int? BrowserLimit { get; set; }
      public int? ComputersMax { get; set; }
      public int? DocumentLimit { get; set; }
      public DateTime? Expiry { get; set; }
      public string IgnoredIpAddresses { get; set; }
      public int? IpAddressesMax { get; set; }
      public long? OfflineDurationinDays { get; set; }
      public int? OpenLimit { get; set; }
      public int? PdfLimit { get; set; }
      public int? PrintLimit { get; set; }
      public long? RelativeExpiryInDays { get; set; }
   }
}